=== debian/changelog ===
openldap (2.4.47+dfsg.4-1+eagle) unstable; urgency=medium

  * update

 -- Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>  Fri, 26 Feb 2021 14:12:22 +0800

openldap (2.4.47+dfsg.4-1+eagle) buster; urgency=medium

  * fix CVE-2021-27212

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 26 Feb 2021 10:49:05 +0800

openldap (2.4.47+dfsg.3-1+eagle) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-36221 CVE-2020-36222 CVE-2020-36223 CVE-2020-36224 
    CVE-2020-36225 CVE-2020-36226 CVE-2020-36227 CVE-2020-36228 
    CVE-2020-36229 CVE-2020-36230

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 08 Feb 2021 11:30:46 +0800
