## openldap 2.4.47+dfsg.5

=== debian/changelog ===
openldap (2.4.47+dfsg.5-1+deepin) unstable; urgency=medium

  * fix CVE-2022-29155.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 27 Oct 2022 15:09:17 +0800
