=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Ryan Tandy <ryan@nardis.ca>
 Build-Depends: debhelper (>= 10),
-               dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!stage1>,
+               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!stage1>,
                libdb5.3-dev <!stage1>,
                libgnutls28-dev,
                libltdl-dev <!stage1>,
                libperl-dev (>= 5.8.0) <!stage1>,
                libsasl2-dev,
                libwrap0-dev <!stage1>,
-               lsb-release,
                nettle-dev <!stage1>,
                perl:any,
                po-debconf,
@@ -36,7 +33,7 @@
  coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${misc:Depends}
 Recommends: libsasl2-modules
-Suggests: ldap-utils, ufw,
+Suggests: ldap-utils,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)
